[an error occurred while processing this directive] [an error occurred while processing this directive][an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] (none) [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive][an error occurred while processing this directive] [an error occurred while processing this directive][an error occurred while processing this directive] [an error occurred while processing this directive][an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive] (none) [an error occurred while processing this directive] [an error occurred while processing this directive] [an error occurred while processing this directive][an error occurred while processing this directive]
 
[an error occurred while processing this directive] [an error occurred while processing this directive]
Skåne Sjælland Linux User Group - http://www.sslug.dk Home   Subscribe   Mail Archive   Forum   Calendar   Search
MhonArc Date: [Date Prev] [Date Index] [Date Next]   Thread: [Date Prev] [Thread Index] [Date Next]   MhonArc
 

Re: [MISC] Er det ved at være slut med a t brge Linux til Danske Bank netbank?



Michael Rasmussen skrev:
On Mon, 18 Feb 2008 13:22:48 +0100
"E. Sjørlund" <sslug@sslug> wrote:

Og det bringer jo så spørgsmålet op igen: Er java 1.6 ikke
bagudkompatibel, eller har programmørerne i DB lagt sig fast på netop
version 1.5?

Java6 er bagud kompatibel med java5, men java >= 5 er ikke bagud
kompatibel med java < 5. Problemet er, at DB anvender java applets i
deres netbank, og java applets er java 1.1. Der hvor problemet opstår,
er implementeringen af Security Manager i Java, og dens interface til
det omkringliggende miljø, der er under konstant udvikling - dette er
ikke dårligt i sig selv, da udviklingen er drevet af erfaringer fra
dårlig implementerede sikkerhedsløsninger i tidligere versioner af
Java. Der hvor problemet opstår, er, hvis man har kode, der er berørt
af ændringerne, og programmøren(e) er dårlig(e)/doven, eller
testprocedurerne er mangelfulde. I disse tilfælde sker der sådanne
ting, som vi har oplevet med DB netbank.

Jeg kan godt give en mere detaljeret beskrivelse af den konkrete bug i
DB's netbank, men det vil være for omfattende til NNTP. Jeg kan dog
give et hint: Se diff for java.applet og java.security mellem java5 og
java6.

Tak til alle der har hjulpet i denne sag.

For at kunne bruge Danske Banks netbank med ActiveCard, så måtte jeg installere Microsoft fonts og erstatte java 1.6 browser plug-in med Java 1.5 browser plug-in.

I mit tilfælde var det ikke nødvendigt at fjerne Ad-Block.

Deres PC test siger bare java 1.4 eller nyere, og den gamle løsning fungrede fint med 1.6

/esni


 
Home   Subscribe   Mail Archive   Index   Calendar   Search

 
 
Questions about the web-pages to <www_admin>. Last modified 2008-03-01, 02:01 CET [an error occurred while processing this directive]
This page is maintained by [an error occurred while processing this directive]MHonArc [an error occurred while processing this directive] # [an error occurred while processing this directive] *